function [nodes] = nodes_of_a_complete_binary_tree(n)
%Creates the nodes of a complete binary tree. For the nodes structure, see the documentation of treeplot (doc treeplot).
%
%Arguments:
%   n: number of levels => 2^n-1 nodes.
%
%Output:
%   nodes: row vector.

nodes = [0 kron([1:2^(n-1)-1],[1,1])]; %[0, 1,1, 2,2,3,3, 4,4,5,5,6,6,7,7...]

