function [] = generate_X()
%Transforms the ICA natural image dataset to OSDL observations.

%parameters:
    %database:
        %size of the training image patches:
            dim_x_1 = 8;
            dim_x_2 = 8;
        p_missing_train = 0.1;%0.1x100 = 10% of the coordinates (=pixels) are missing
        image_indices = [1:10,12:13];%indices of the natural images used for D optimization
    %D optimization:
        num_of_mini_batches = 512; %number of mini-batches
        size_of_mini_batches = 64;  %size of the mini-batches
        num_of_samples = num_of_mini_batches * size_of_mini_batches; %number of samples used for D optimization, in one epoch
        epoch_interval = [1]; %D can be optimized in multiple epochs, for a single epoch use "[1]", for five epochs use "[1:5]".
    
generate_X_step1(dim_x_1,dim_x_2,image_indices);
generate_X_step2(dim_x_1,dim_x_2,num_of_samples,epoch_interval,image_indices,p_missing_train);