function [] = generate_X_step1(dim_x_1,dim_x_2,image_indices)
%Generates all the 'dim_x_1' x 'dim_x_2' sized patches of the 1.tiff,...,13.tiff (the indices are given in the array 'image_indices') natural images.

for k = image_indices
    %Xk:
        I = double(imread([num2str(k), '.tiff']))/255;
        Xk = im2col(I,[dim_x_1 dim_x_2],'sliding');
        Xk = normalize_X(Xk);
    %save Xk:
        FN = strcat('patches_in_image_',num2str(k),'_dimx_',num2str(dim_x_1),'x',num2str(dim_x_2),'.mat');
        save(FN,'Xk');
        disp(strcat(['image ',num2str(k),': processed.']));
end
    

    
