function [adj_new] = extend_adj_toroid_by_one_level(adj)
%Extends the adjancency matrix of toroid structure by one level = "takes the neigbors of the neighbors".

%initialization:
    K = size(adj,1);
    adj_new = adj;

for k = 1 : K
    neighs_of_k = find(adj(:,k));%indices
    for k2 = 1 : length(neighs_of_k)
        neighs_of_k2 = find(adj(:,neighs_of_k(k2)));%indices
        adj_new(neighs_of_k2,k) = 1;
    end
end