function [children_ct,parents_ct] = tree_create_children_parents(nodes)
%Determines the children and the parents of a tree given in 'nodes'. For the
%nodes structure, see the documentation of treeplot (doc treeplot).

n = size(nodes,2);

%children_ct:
    children_ct = cell(n,1);
	for i = 1 : n
		queue = [i];
		children = [];
		while length(queue) ~= 0
			current_node = queue(1);
			queue(1) = [];
			children = [children current_node];
			current_children = find(nodes == current_node);
			queue = [queue current_children];
		end
		children_ct{i} = children;
	end
    
%parents_ct:
    parents_ct = cell(n,1);
	for i = 1 : n
		looked = i;
		parents = [];
		while looked ~= 0
			parents = [looked parents];
			index = nodes(looked);
			looked = index;
		end
		parents_ct{i} = parents;
	end

