function [M_projected] = projection_to_the_nonneg_l1_sphere_matrix(M)
%Projects the columns of matrix M to the non-negative l_1 sphere.

M_projected = zeros(size(M));
for k = 1 : size(M,2)
    M_projected(:,k) = projection_to_the_l1_sphere(max(M(:,k),0));
end
